%global tar_version 4.0.0.alpha15

Name: java-ovirt-engine-sdk4
Version: 4.0.0
Release: 0.15.alpha15.fc23
Summary: Java SDK for version 4 of the oVirt Engine API
Group: Development/Languages
License: ASL 2.0
URL: http://ovirt.org/wiki/SDK
Source0: ovirt-engine-sdk-java-4.0.0.alpha15.tar.gz
Source1: build.xml

BuildArch: noarch

BuildRequires: ant
BuildRequires: mvn(com.sun.xml.txw2:txw2)
BuildRequires: mvn(org.apache.httpcomponents:httpclient)
BuildRequires: mvn(org.codehaus.jackson:jackson-mapper-asl)
BuildRequires: mvn(org.slf4j:slf4j-api)

%description
This package contains the Java SDK for version 4 of the oVirt Engine
API.

%prep

# Extract the source:
%setup -q -n ovirt-engine-sdk-java-%{tar_version}

%build
# Copy Ant build file to the extracted SDK directory:
cp %{SOURCE1} build.xml

# Populate the lib directory with symlinks to the required dependencies that
# will be used to create the compiler classpath:
mkdir lib
while read jar
do
  ln -s %{_javadir}/${jar}.jar lib
done << __EOF__
httpcomponents/httpclient
httpcomponents/httpcore
jackson/jackson-core-asl
jackson/jackson-mapper-asl
slf4j/api
txw2
__EOF__

# Perform build using Ant:
java -jar %{_javadir}/ant-launcher.jar -f build.xml

%install
# Install the files:
install -d -m 755 %{buildroot}%{_javadir}/%{name}
install -pm 644 target/%{name}.jar %{buildroot}%{_javadir}/%{name}/sdk.jar

%files
%doc README.adoc
%license LICENSE.txt
%{_javadir}/%{name}

%changelog
* Thu Apr 7 2016 Juan Hernandez <juan.hernandez@redhat.com> - 4.0.0
- Initial packaging.
